/*
 * Berkeley Lab Checkpoint/Restart (BLCR) for Linux is Copyright (c)
 * 2003, The Regents of the University of California, through Lawrence
 * Berkeley National Laboratory (subject to receipt of any required
 * approvals from the U.S. Dept. of Energy).  All rights reserved.
 *
 * Portions may be copyrighted by others, as may be noted in specific
 * copyright notices within specific files.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: imports.c.in,v 1.2 2007/05/21 17:41:39 phargrov Exp $
 */

#ifndef EXPORT_SYMTAB
  #define EXPORT_SYMTAB
#endif

#include "blcr_config.h"

#include <linux/autoconf.h>
#if defined(CONFIG_SMP) && ! defined(__SMP__)
  #define __SMP__
#endif
#if defined(CONFIG_MODVERSIONS) && ! defined(MODVERSIONS)
  #define MODVERSIONS
#endif
#include <linux/module.h>
#include "blcr_ksyms.h"

/* Prototypes and declarations for things we export here */
#include "blcr_imports.h"


/* This comment contains "EXPORT_SYMBOL" to trigger proper kbuild magic */

/* BEGIN AUTO-GENERATED FRAGMENT */

/* This file is autogenerated - do not edit or remove */
_CR_IMPORT_KDATA(cpu_gdt_table, 0xffffffff803f5200)
_CR_IMPORT_KCODE(detach_pid, 0xffffffff801497e0)
_CR_IMPORT_KCODE(attach_pid, 0xffffffff801495b0)
_CR_IMPORT_KCODE(find_pid, 0xffffffff80149530)
_CR_IMPORT_KDATA(pidmap_array, 0xffffffff80404f40)
_CR_IMPORT_KDATA(pidmap_lock, 0xffffffff804e4900)
_CR_IMPORT_KDATA(anon_pipe_buf_ops, 0xffffffff80408980)
_CR_IMPORT_KCODE(rw_verify_area, 0xffffffff8017df40)
_CR_IMPORT_KDATA(child_reaper, 0xffffffff803f7ee0)
_CR_IMPORT_KDATA(sys_call_table, 0xffffffff804e3180)
_CR_IMPORT_KDATA(shmem_file_operations, 0xffffffff80407860)
_CR_IMPORT_KCODE(do_pipe, 0xffffffff8018ad10)
_CR_IMPORT_KCODE(sys_dup2, 0xffffffff80191800)
_CR_IMPORT_KCODE(sys_lseek, 0xffffffff8017dcf0)
_CR_IMPORT_KCODE(sys_ftruncate, 0xffffffff8017d400)
_CR_IMPORT_KCODE(sys_mprotect, 0xffffffff801705e0)
_CR_IMPORT_KCODE(copy_siginfo_to_user, 0xffffffff80142d40)
_CR_IMPORT_KCODE(set_fs_pwd, 0xffffffff8019b9c0)
_CR_IMPORT_KCODE(put_filp, 0xffffffff8017f0f0)
_CR_IMPORT_KCODE(sys_mremap, 0xffffffff80171030)
_CR_IMPORT_KCODE(do_sigaction, 0xffffffff80141ea0)
_CR_IMPORT_KCODE(load_gs_index, 0xffffffff8010f5c4)
_CR_IMPORT_KCODE(expand_files, 0xffffffff8019a990)
_CR_IMPORT_KCODE(sys_link, 0xffffffff80190920)
_CR_IMPORT_KCODE(lookup_create, 0xffffffff8018df90)
/* END AUTO-GENERATED FRAGMENT */


MODULE_AUTHOR("Lawrence Berkeley National Lab " PACKAGE_BUGREPORT);
MODULE_DESCRIPTION("Berkeley Lab Checkpoint/Restart symbol imports kernel module");
#ifdef MODULE_LICENSE
MODULE_LICENSE("GPL");
#endif

